All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.dataservices
Class PossibleFilterValue

    com.sas.iquery.dataservices.PossibleFilterValue

    @SASScope(value="ALL")
    @SubjectToChange
    public class PossibleFilterValue

Specifies an object that wrappers a pair of formatted and unformatted data items that are retrieved within the context of getPossibleFilterValues(). This type of object is returned to the consumer who can then obtain the desired data whether it be formatted or unformatted data. *

     Usage example:

      // iqService is an IntelligentQueryMetadataServiceInterface.
            IQDataServicesInterface iqDataServ = IQDataServicesFactory.newService(iqService);

                    try {
                            List possibleValues = iqDataServ.getPossibleFilterValues(dataItem);
                            Iterator it = possibleValues.iterator();
                            PossibleFilterValue value = null;

                            while (it.hasNext()) {
                                    value = (PossibleFilterValue)it.next();
                                    System.out.println("Formatted: " + value.getFormatted());

                                    // Make a call to get the JDBC result type
                                    int type = value.getJDBCType();
                                    System.out.println("Unformatted: " + value.getUnformatted());

                                    // Save unformatted data into a Java variable
                                    // In this case we know the data is Date type.
                                    Date myDate = (Date)value.getUnformatted();

                                    // Do more stuff...
                            }

                    } catch (DataServicesException e) {
                            // handle exception
                    }

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getFormatted()` Returns a String representation of the formatted data value.
`int` | `getJDBCType()` Returns the JDBC column type for the data value.
`MLSValueInterface` | `getMlsValue()`
`java.lang.Object` | `getUnformatted()` Returns an object containing the unformatted data value.
`int` | `hashCode()`
`void` | `setMlsValue(MLSValueInterface mlsValue)`

Method Detail

### getFormatted

    public java.lang.String getFormatted()
                                  throws DataServicesException

  Returns a String representation of the formatted data value.

  Throws:
    `DataServicesException` - - thrown if there is an error retreiving the data.

### getUnformatted

    public java.lang.Object getUnformatted()
                                    throws DataServicesException

  Returns an object containing the unformatted data value.

  Throws:
    `DataServicesException` - - thrown if there is an error retreiving the data.

### getJDBCType

    public int getJDBCType()

  Returns the JDBC column type for the data value.

### getMlsValue

    public MLSValueInterface getMlsValue()

  Returns:
    Returns the mlsValue.

### setMlsValue

    public void setMlsValue(MLSValueInterface mlsValue)

  Parameters:
    `mlsValue` - The mlsValue to set.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.